Subject: bug#53776: Modeline indicator when using define-minor-mode

From: Stephen Berman <[email-masked]>
Date: Sun, 06 Feb 2022 13:52:44 +0100

On Sun, 06 Feb 2022 04:39:54 +0100 Michael Heerdegen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
[...]
> Maybe goncholden wants to visualize alternative "submodes".  That's
> possible: the :lighter can be any modeline construct so you can do
> anything here the modeline supports, e.g. using :eval.  See the
> definition of `emacs-lock-mode' for an example.
>
>> An alternative, which might be easier to implement (for someone who
>> knows how, not me), would be to make the mode line horizontally
>> scrollable.  But maybe that's not so easy, since it seems so obviously
>> useful, yet hasn't been implemented.
>
> It's not hard to achieve, no.  But it replaces something that is too
> crowded to be useful with something scrollable that is too crowded to be
> useful.  I tried it once and was very disappointed - a modeline you need
> to scroll to see everything is worse than using a help command like C-h
> m.

Nevertheless, I would be interested in trying it and seeing the code.
Can you post it?

Thanks,

Steve Berman